<?php
// portfolio
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_portfolio_single_image',
	'label'       	 => esc_html__( 'Featured Image', 'copr' ),
	'section'		 => 'copr_section_portfolio_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// portfolio slug
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'text',
	'settings'		 => 'copr_portfolio_slug_text',
	'label'   		 =>  esc_html__('Portfolio Post Slug', 'copr'),
	'description'    =>  esc_html__('This will be reflected in post URL text. On change it will give 404 error for portfolio posts. Flush permalinks to make it work (Re-save the permalink structure under : WP Admin Menu / Settings / Permalink ).', 'copr'),
	'section'		 => 'copr_section_portfolio_single_settings',
	'priority'		 => 10,
	'default'        => esc_html__('portfolio', 'copr'),
	'transport'		 => 'auto',
) );

// testimonial
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'radio',
	'settings'		 => 'copr_testimonial_single_image',
	'label'       	 => esc_html__( 'Featured Image', 'copr' ),
	'section'		 => 'copr_section_testimonial_single_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'copr' ),
		'hide'	 => esc_html__( 'Hide', 'copr' ),
	),
) );

// testimonial slug
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'text',
	'settings'		 => 'copr_testimonial_slug_text',
	'label'   		 =>  esc_html__('Testimonial Post Slug', 'copr'),
	'description'    =>  esc_html__('This will be reflected in post URL text. On change it will give 404 error for testimonial posts. Flush permalinks to make it work (Re-save the permalink structure under : WP Admin Menu / Settings / Permalink ).', 'copr'),
	'section'		 => 'copr_section_testimonial_single_settings',
	'priority'		 => 10,
	'default'        => esc_html__('testimonial', 'copr'),
	'transport'		 => 'auto',
) );