<?php
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_group_widgets_bg_Color',
	'label'			 => esc_html__( 'Background Color for Group Widgets', 'copr' ),
	'section'		 => 'copr_side_widget_section',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-widget-area .wp-block-group',
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// slidebar link
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_sidebar_widget_color',
	'label'			 => esc_html__( 'Color', 'copr' ),
	'section'		 => 'copr_side_widget_section',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-widget-area',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// slidebar link
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_sidebar_widget_link_color',
	'label'			 => esc_html__( 'Link Color', 'copr' ),
	'section'		 => 'copr_side_widget_section',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-widget-area a',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_sidebar_widget_link_hover_color',
	'label'			 => esc_html__( 'Link Hover Color', 'copr' ),
	'section'		 => 'copr_side_widget_section',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-widget-area a:hover',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_sidebar_widgets_border_color',
	'label'			 => esc_html__( 'Border Bottom To Archive Widget', 'copr' ),
	'section'		 => 'copr_side_widget_section',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.wp-block-archives-list li, .wp-block-latest-comments li',
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'typography',
	'settings'    => 'copr_latest_post_heading_typo',
	'label'       => esc_html__( 'Latest Post Widget : Post Title', 'copr' ),
	'section'     => 'copr_side_widget_section',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.wp-block-latest-posts li',
		),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_latest_post_heading_Color',
	'label'			 => esc_html__( 'Color: For Blog / Page Sidebar Only', 'copr' ),
	'section'		 => 'copr_side_widget_section',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-widget-area .wp-block-latest-posts a',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'        => 'typography',
	'settings'    => 'copr_archive_category_widget_typo',
	'label'       => esc_html__( 'Archive / Category Widget', 'copr' ),
	'section'     => 'copr_side_widget_section',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.wp-block-categories-list a, .wp-block-archives-list a',
		),
	),
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_archive_category_widget_color',
	'label'			 => esc_html__( 'Color : For Blog / Page Sidebar Only', 'copr' ),
	'section'		 => 'copr_side_widget_section',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-widget-area .wp-block-categories-list a, .dtr-widget-area .wp-block-archives-list a',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_archive_category_widget__hover_color',
	'label'			 => esc_html__( 'Hover Color : For Blog / Page Sidebar Only', 'copr' ),
	'section'		 => 'copr_side_widget_section',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element' 	=> '.dtr-widget-area .wp-block-categories-list li:hover a, .dtr-widget-area .wp-block-archives-list li:hover a',
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'		 => 'custom',
	'settings'	 => 'copr_social_bg_light_info',
	'label'		 =>  '',
	'section'	 => 'copr_section_social_typo',
	'default'	 => '<div style="padding: 20px;background-color: #333; color: #fff;">' . esc_html__( 'Color Scheme For Light Backgrounds. Applicable for - Circle and Square style.', 'copr' ) . '</div>',
	'priority'	 => 10,
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_social_bg_color',
	'label'			 => esc_html__( 'Social Icon Background color', 'copr' ),
	'section'		 => 'copr_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-dark .dtr-social-with-bg .dtr-social li a' ),
			'property'	 => 'background-color',
		),
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_social_color',
	'label'			 => esc_html__( 'Social Icon color', 'copr' ),
	'section'		 => 'copr_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-dark .dtr-social-with-bg .dtr-social li a' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_social_border_color',
	'label'			 => esc_html__( 'Social Icon Border color', 'copr' ),
	'section'		 => 'copr_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-dark .dtr-social-with-bg .dtr-social li a' ),
			'property'	 => 'border-color',
		),
	),
	'transport'		 => 'auto',
) );
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_social_hover_bg_color',
	'label'			 => esc_html__( 'Hover: Background color', 'copr' ),
	'section'		 => 'copr_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-dark .dtr-social-with-bg .dtr-social li a:hover' ),
			'property'	 => 'background-color',
		),
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_social_hover_color',
	'label'			 => esc_html__( 'Hover: color', 'copr' ),
	'section'		 => 'copr_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-dark .dtr-social-with-bg .dtr-social li a:hover' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_social_hover_border_color',
	'label'			 => esc_html__( 'Hover: Border color', 'copr' ),
	'section'		 => 'copr_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-dark .dtr-social-with-bg .dtr-social li a' ),
			'property'	 => 'border-color',
		),
	),
	'transport'		 => 'auto',
) );

// dark bg social
copr_Kirki::add_field( 'copr_config', array(
	'type'		 => 'custom',
	'settings'	 => 'copr_social_bg_dark_info',
	'label'		 =>  '',
	'section'	 => 'copr_section_social_typo',
	'default'	 => '<div style="padding: 20px;background-color: #333; color: #fff;">' . esc_html__( 'Color Scheme For Dark Backgrounds. Applicable for - Circle and Square style.', 'copr' ) . '</div>',
	'priority'	 => 10,
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_dark_social_bg_color',
	'label'			 => esc_html__( 'Social Icon Background color', 'copr' ),
	'section'		 => 'copr_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-light .dtr-social-with-bg .dtr-social li a' ),
			'property'	 => 'background-color',
		),
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_dark_social_color',
	'label'			 => esc_html__( 'Social Icon color', 'copr' ),
	'section'		 => 'copr_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-light .dtr-social-with-bg .dtr-social li a' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_dark_social_border_color',
	'label'			 => esc_html__( 'Social Icon Border color', 'copr' ),
	'section'		 => 'copr_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-light .dtr-social-with-bg .dtr-social li a' ),
			'property'	 => 'border-color',
		),
	),
	'transport'		 => 'auto',
) );
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_dark_social_hover_bg_color',
	'label'			 => esc_html__( 'Hover: Background color', 'copr' ),
	'section'		 => 'copr_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-light .dtr-social-with-bg .dtr-social li a:hover' ),
			'property'	 => 'background-color',
		),
	),
	'transport'		 => 'auto',
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_dark_social_hover_color',
	'label'			 => esc_html__( 'Hover: color', 'copr' ),
	'section'		 => 'copr_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-light .dtr-social-with-bg .dtr-social li a:hover' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );
copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_dark_social_hover_border_color',
	'label'			 => esc_html__( 'Hover: Border color', 'copr' ),
	'section'		 => 'copr_section_social_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-widget-light .dtr-social-with-bg .dtr-social li a:hover' ),
			'property'	 => 'border-color',
		),
	),
	'transport'		 => 'auto',
) );
// social ends