<?php
/**
 * Layout Panel Sections
 */
function copr_kirki_section_footer( $wp_customize ) {
	$wp_customize->add_section( 'copr_section_footer_settings', array(
		'title'			 => esc_html__( 'Footer - General Settings', 'copr' ),
		'panel'			 => 'copr_panel_footer',
	) );
	$wp_customize->add_section( 'copr_section_footer_style_settings', array(
		'title'			 => esc_html__( 'Footer - Styles', 'copr' ),
		'panel'			 => 'copr_panel_footer',
	) );
	$wp_customize->add_section( 'copr_section_footer_typo', array(
		'title'			 => esc_html__( 'Footer - Typography', 'copr' ),
		'panel'			 => 'copr_panel_footer',
	) );
	$wp_customize->add_section( 'copr_section_copyright_typo', array(
		'title'			 => esc_html__( 'Copyright - Typography', 'copr' ),
		'panel'			 => 'copr_panel_footer',
	) );
	$wp_customize->add_section( 'copr_section_scroll_top', array(
		'title'			 => esc_html__( 'Scroll To Top', 'copr' ),
		'panel'			 => 'copr_panel_footer',
	) );
}
add_action( 'customize_register', 'copr_kirki_section_footer' );