<?php
/**
 * Layout Panel Sections
 */
function copr_kirki_section_header( $wp_customize ) {
	$wp_customize->add_section( 'copr_section_header_general_settings', array(
		'title'			 => esc_html__( 'General Settings', 'copr' ),
		'panel'			 => 'copr_panel_header',
	) );
	$wp_customize->add_section( 'copr_section_main_header_settings', array(
		'title'			 => esc_html__( 'Main Header Row', 'copr' ),
		'panel'			 => 'copr_panel_header',
	) );
	$wp_customize->add_section( 'copr_section_mainheader_widget_typo', array(
		'title'			 => esc_html__( 'Widgets in Main Header Row - Typography', 'copr' ),
		'panel'			 => 'copr_panel_header',
	) );
	$wp_customize->add_section( 'copr_section_topbar_settings', array(
		'title'			 => esc_html__( 'Topbar', 'copr' ),
		'panel'			 => 'copr_panel_header',
	) );
	$wp_customize->add_section( 'copr_section_topbar_typo', array(
		'title'			 => esc_html__( 'Topbar - Typography', 'copr' ),
		'panel'			 => 'copr_panel_header',
	) );
	$wp_customize->add_section( 'copr_section_menu_typo', array(
		'title'			 => esc_html__( 'Menu - Typography', 'copr' ),
		'panel'			 => 'copr_panel_header',
	) );
	$wp_customize->add_section( 'copr_section_vert_menu', array(
		'title'			 => esc_html__( 'Menu Trigger Icon and Vertical Menu - Styles', 'copr' ),
		'panel'			 => 'copr_panel_header',
	) );
	$wp_customize->add_section( 'copr_section_header_search_typo', array(
		'title'			 => esc_html__( 'Header Search', 'copr' ),
		'panel'			 => 'copr_panel_header',
	) );
	$wp_customize->add_section( 'copr_section_sticky_header_settings', array(
		'title'			 => esc_html__( 'Header : On Scroll', 'copr' ),
		'panel'			 => 'copr_panel_header',
	) );
	$wp_customize->add_section( 'copr_section_mobile_header_settings', array(
		'title'			 => esc_html__( 'Responsive Header', 'copr' ),
		'panel'			 => 'copr_panel_header',
	) );
	$wp_customize->add_section( 'copr_section_page_title_settings', array(
		'title'			 => esc_html__( 'Page Title Section', 'copr' ),
		'panel'			 => 'copr_panel_header',
	) );
	$wp_customize->add_section( 'copr_section_page_title_typo', array(
		'title'			 => esc_html__( 'Page Title / Archives Page Title - Typography', 'copr' ),
		'panel'			 => 'copr_panel_header',
	) );
	$wp_customize->add_section( 'copr_section_page_title_combo_settings', array(
		'title'			 => esc_html__( 'Page Title Section - Align / ON / OFF', 'copr' ),
		'panel'			 => 'copr_panel_header',
	) );
	$wp_customize->add_section( 'copr_section_breadcrumb_settings', array(
		'title'			 => esc_html__( 'Breadcrumb', 'copr' ),
		'panel'			 => 'copr_panel_header',
	) );
}
add_action( 'customize_register', 'copr_kirki_section_header' );