<?php
/**
 * The Template for displaying page / post sidebar
 *
 * @package CoprTheme
 * @version 1.0.0
 */
// No sidebar if No Sidebar layout is selected 
$copr_main_layout = copr_get_layout_class();
if ( $copr_main_layout == 'dtr-fullwidth' ) return; 
?>
<aside id="dtr-secondary-section" class="dtr-widget-area" <?php copr_schema_markup( 'sidebar' ); ?>>
	<?php if( is_page() ){
		if ( is_active_sidebar( 'widgets-page' ) ) {
			dynamic_sidebar('widgets-page'); 
		}
	} else {
		if ( is_active_sidebar( 'widgets-blog' ) ) {
			dynamic_sidebar('widgets-blog');
		}
	}		
	?>
</aside>
<!-- #dtr-secondary-section -->