<?php
/**
 * Template for displaying archive content
 *
 * @package CoprTheme
 * @version 1.0.0
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} ?>
<?php if ( 'show' == get_theme_mod( 'copr_blog_page_excerpt_enable', 'show' ) ) { ?>
<div class="dtr-entry-excerpt clearfix">
    <?php copr_excerpt( array(
		'length' => copr_archive_excerpt_length(),
	) ); ?>
</div>
<?php } ?>
<?php 
	// page numbers
	wp_link_pages( array(
		'before'      => '<span class="clearfix"></span><div class="dtr-page-links">' . esc_html__( 'Pages:', 'copr' ),
		'after'       => '</div>',
		'link_before' => '<span class="dtr-page-number">',
		'link_after'  => '</span>',
	) );