<?php
/**
 * Plugin Name: Copr Elementor Addons
 * Description: Adds custom elements for Copr Theme via Elementor plugin. 
 * Author:      Tansh
 * Version:     1.2.0
 * Author URI:  http://themeforest.net/user/tansh
 * License:     GPL-2.0+
 * Text Domain: copr
 */
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
define('COPR_ELEMENTOR_ADDONS_URL', plugin_dir_url(__FILE__));
define( 'COPR_ELEMENTOR_ADDONS_PATH', plugin_dir_path( __FILE__ ) );
			
/**
 * Load the plugin after Elementor loaded.
 * @since 1.0.0
 */
function copr_elementor_addons_load() {
	
	// Load localization file
	load_plugin_textdomain( 'copr' );

	// Require the main plugin file
	require( __DIR__ . '/class-dtr-copr-elementor.php' );
}
add_action( 'plugins_loaded', 'copr_elementor_addons_load' );