<?php
// accent 1
copr_Kirki::add_field( 'copr_config', array(
	'type'		 => 'custom',
	'settings'	 => 'copr_accent_1_help_settings',
	'label'		 => '',
	'section'	 => 'copr_section_basecolors',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: #4A060D; color: #fff;">' . esc_html__( 'Color 1', 'copr' ) . '</div>',
	'priority'	 => 10,
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_accent_color_1',
	'label'			 => esc_html__( 'Primary Color', 'copr' ),
	'section'		 => 'copr_section_basecolors',
	'priority'		 => 10,
	'default'        => '',
	'css_vars'       => array(
		array( '--dtr-primary' ),
		),
	'transport'		 => 'postMessage',
) );

// accent 2
copr_Kirki::add_field( 'copr_config', array(
	'type'		 => 'custom',
	'settings'	 => 'copr_accent_2_help_settings',
	'label'		 => '',
	'section'	 => 'copr_section_basecolors',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: #c86358; color: #fff;">' . esc_html__( 'Color 2', 'copr' ) . '</div>',
	'priority'	 => 10,
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_accent_color_2',
	'label'			 => esc_html__( 'Secondary Color', 'copr' ),
	'section'		 => 'copr_section_basecolors',
	'priority'		 => 10,
	'default'        => '',
	'css_vars'       => array(
		array( '--dtr-secondary' ),
		),
	'transport'		 => 'postMessage',
) );

// accent 3
copr_Kirki::add_field( 'copr_config', array(
	'type'		 => 'custom',
	'settings'	 => 'copr_accent_3_help_settings',
	'label'		 => '',
	'section'	 => 'copr_section_basecolors',
	'default'	 => '<div style="padding: 10px 20px; font-weight: bold; border-radius: 4px; background-color: #f5eae6; color: #4A060D;">' . esc_html__( 'Color 3', 'copr' ) . '</div>',
	'priority'	 => 10,
) );

copr_Kirki::add_field( 'copr_config', array(
	'type'			 => 'color',
	'settings'		 => 'copr_accent_color_3',
	'label'			 => esc_html__( 'Secondary Light Color', 'copr' ),
	'section'		 => 'copr_section_basecolors',
	'priority'		 => 10,
	'default'        => '',
	'css_vars'       => array(
		array( '--dtr-secondary-light' ),
		),
	'transport'		 => 'postMessage',
) );