<?php
/**
 * Blog Panel Sections
 */
function copr_kirki_section_blog( $wp_customize ) {
	$wp_customize->add_section( 'copr_section_archive_settings', array(
		'title'			 => esc_html__( 'Blog / Archives', 'copr' ),
		'panel'			 => 'copr_panel_blog',
	) );
	$wp_customize->add_section( 'copr_section_blog_archives_typo', array(
		'title'			 => esc_html__( 'Blog / Archives - Typography', 'copr' ),
		'panel'			 => 'copr_panel_blog',
	) );
	$wp_customize->add_section( 'copr_section_single_settings', array(
		'title'			 => esc_html__( 'Single Post', 'copr' ),
		'panel'			 => 'copr_panel_blog',
	) );
	$wp_customize->add_section( 'copr_section_blog_single_typo', array(
		'title'			 => esc_html__( 'Blog Single Post - Typography', 'copr' ),
		'panel'			 => 'copr_panel_blog',
	) );
	$wp_customize->add_section( 'copr_section_blog_page_title_settings', array(
		'title'			 => esc_html__( 'Blog Page Title', 'copr' ),
		'panel'			 => 'copr_panel_blog',
	) );
	$wp_customize->add_section( 'copr_section_blog_featured_img_settings', array(
		'title'			 => esc_html__( 'Featured Image', 'copr' ),
		'panel'			 => 'copr_panel_blog',
	) );
	$wp_customize->add_section( 'copr_section_related_posts_settings', array(
		'title'			 => esc_html__( 'Related Posts on Single Post', 'copr' ),
		'panel'			 => 'copr_panel_blog',
	) );
	$wp_customize->add_section( 'copr_section_post_share_settings', array(
		'title'			 => esc_html__( 'Social Share', 'copr' ),
		'panel'			 => 'copr_panel_blog',
	) );
	$wp_customize->add_section( 'copr_section_pagination_settings', array(
		'title'			 => esc_html__( 'Pagination', 'copr' ),
		'panel'			 => 'copr_panel_blog',
	) );
}
add_action( 'customize_register', 'copr_kirki_section_blog' );