<?php
/**
 * Typography Panel Sections
 */
function copr_kirki_section_typography( $wp_customize ) {
	$wp_customize->add_section( 'copr_section_body_typo', array(
		'title'			 => esc_html__( 'Body', 'copr' ),
		'panel'			 => 'copr_panel_typography',
	) );
	$wp_customize->add_section( 'copr_section_headings_typo', array(
		'title'			 => esc_html__( 'Headings', 'copr' ),
		'panel'			 => 'copr_panel_typography',
	) );
	$wp_customize->add_section( 'copr_section_default_link', array(
		'title'			 => esc_html__( 'Default Link', 'copr' ),
		'panel'			 => 'copr_panel_typography',
	) );
	$wp_customize->add_section( 'copr_section_logo_typo', array(
		'title'			 => esc_html__( 'Text Logo', 'copr' ),
		'panel'			 => 'copr_panel_typography',
	) );
	$wp_customize->add_section( 'copr_section_buttons_typo', array(
		'title'			 => esc_html__( 'Buttons', 'copr' ),
		'panel'			 => 'copr_panel_typography',
	) );
}
add_action( 'customize_register', 'copr_kirki_section_typography' );